Locale2MUI Version History

2 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 2.5 9.6 KB Works with Firefox 5.0 and later, Thunderbird 5.0 and later

Now compatible with Firefox and Thunderbird versions 5.0-28.*
No change in functionality.
Added an icon.
Works together with Locale Switcher 3.
Not compatible with "simple locale switcher 0.54"

20131210, Nick Heim, ETHZ

Version 2.2 4.1 KB Works with Firefox 1.5 - 3.6.*, Thunderbird 1.5 - 3.0.*

Now compatible with Firefox 3.6.x and Thunderbird 3.0.x